# 
# Copyright  (c)  2004-2010  dass IT GmbH, Koeln, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# $Id: dasscm.spec 915 2010-07-16 16:28:10Z joergs $

Name:           dasscm
URL:            https://trac.dass-it.de/pub/
License:        GPL
Group:          Development/Tools/Version Control
Autoreqprov:    on
Summary:        Dass Configuration Management
Version:        1.0
Release:        0
Requires:       subversion perl
#               perl-TermReadKey: 
#                   replaced ReadMode('noecho') by `stty -echo` 
#                   to reduce dependencies
Source:         %{name}_%{version}.orig.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  gzip pam-modules tar
%endif

# Subversion should be installed during build 
# to have the directory /etc/subversion/ available.
# Unfortunally, it isn't included in all distributions,
# therefore we added some checks
#%if 0%{?suse_version} > 1100
#BuildRequires:  subversion
#%endif
 

%description
dasscm is a tool for handling configuration files with subversion

Authors:
--------
       Joerg Steffens

%prep
%setup -c



%build


%install
mkdir -p $RPM_BUILD_ROOT/usr/bin/
install -m 755 usr/bin/dasscm $RPM_BUILD_ROOT/usr/bin/
install -m 755 usr/bin/dasscm_remote_update.sh $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/etc/
install -m 640 etc/dasscm.conf $RPM_BUILD_ROOT/etc/
mkdir -p $RPM_BUILD_ROOT/var/lib/dasscm/
%if %(test -d /etc/bash_completion.d/ && echo 1 || echo 0)
    %define use_bash_completion 1
    mkdir -p $RPM_BUILD_ROOT/etc/bash_completion.d/
    install -m 644 etc/bash_completion.d/bash_completion_dasscm.sh $RPM_BUILD_ROOT/etc/bash_completion.d/dasscm.sh
%endif
%if %(test -d /etc/nagios/nrpe.d/ && echo 1 || echo 0)
    %define use_nagios_nrpe_d 1
    mkdir -p $RPM_BUILD_ROOT/etc/nagios/nrpe.d/
    install -m 644 etc/nagios/nrpe.d/nrpe-dasscm.cfg $RPM_BUILD_ROOT/etc/nagios/nrpe.d/dasscm.cfg
%endif




%clean
[ "$RPM_BUILD_ROOT" != "/" ] &&  rm -rf $RPM_BUILD_ROOT

# TODO: group dasscm: 4199
#       without existing group, %attr(640,root,4199)  falls back to root
#       groupadd -g 4199 dasscm

%files
%defattr(-,root,root)
%dir /var/lib/dasscm/
/usr/bin/dasscm
/usr/bin/dasscm_remote_update.sh
%attr(640,root,root) %config(noreplace) /etc/dasscm.conf
%doc Changes doc/* subversion-servers.dass-it

%if 0%{?use_bash_completion}
%config /etc/bash_completion.d/dasscm.sh
%else
%doc    etc/bash_completion.d/bash_completion_dasscm.sh
%endif

%if 0%{?use_nagios_nrpe_d}
%config /etc/nagios/nrpe.d/dasscm.cfg
%else
%doc    etc/nagios/nrpe.d/nrpe-dasscm.cfg
%endif
